import { Dict } from '../types/Dict';
import { Component } from './component';
import { IOElement } from './IOElement';
import { LayoutNode } from './LayoutNode';
export declare function extractComponentAttr(component: Component, trait: LayoutNode): Dict<string>;
export declare function extractAttr(element: IOElement): Dict<string>;
export declare function applyAttr(element: Element, attr: Dict<string>, current: Dict<string>): void;
export declare function removeAllAttr(element: Element): void;
export declare function mergeAttr(element: Element, attr: Dict<string>): void;
